LONGRUN(4)

NAME
longrun - Transmeta(TM) Crusoe(TM) LongRun(TM) support

SYNOPSIS
LongRun support is a collection of power saving modes for the Transmeta Crusoe chips, similar in scope to Intel's SpeedStep. The following sysctl(8) MIBs control the different CPU modes:
Name | Type | Changeable | Description
hw.crusoe.longrun | integer | yes | LongRun mode:
 | | | 0: minimum frequency mode
 | | | 1: power-saving mode
 | | | 2: performance mode
 | | | 3: maximum frequency mode
hw.crusoe.frequency | integer | no | Current frequency (MHz).
hw.crusoe.voltage | integer | no | Current voltage (mV).
hw.crusoe.percentage | integer | no | Processing performance (%).

EXAMPLES
Print the current status:

    % sysctl hw.crusoe

To set LongRun mode to performance oriented variable frequency mode (less power savings):

    # sysctl hw.crusoe.longrun=2

HISTORY
The Transmeta(TM) Crusoe(TM) LongRun(TM) support first appeared in FreeBSD 4.4.

AUTHORS
-nosplit LongRun support and this manual page were written by Tamotsu HATTORI <athlete@kta.att.ne.jp> and Mitsuru IWASAKI <iwasaki@FreeBSD.org>.